/*
Copyright 2010 Johan Maasing

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
 */
package nu.zoom.gal.error.desktop;

import nu.zoom.gal.error.ErrorReporter;
import nu.zoom.swing.desktop.Workbench;

/**
 * Implementation that uses the zoom.nu desktop error reporter facility.
 * 
 * @author "Johan Maasing" &lt;johan@zoom.nu&gt;
 * 
 */
public class ErrorReporterImpl implements ErrorReporter {
	private final Workbench workbench;

	public ErrorReporterImpl(final Workbench workbench) {
		super();
		this.workbench = workbench;
	}

	@Override
	public void reportError(String message, Exception e) {
		workbench.getErrorReporter().reportError(message, e);
	}

	@Override
	public void reportError(String message) {
		workbench.getErrorReporter().reportError(message);
	}

	@Override
	public void reportError(Exception e) {
		workbench.getErrorReporter().reportError(e);
	}

}
